## python-ruffus 2.6.3+dfsg

=== debian/changelog ===
python-ruffus (2.6.3+dfsg-2) unstable; urgency=medium

  * Fix issue in test when using Python 3.5 (Thanks for the hints to
    Dmitry Shachnev <mitya57@debian.org>)
    Closes: #811002
  * Use Debian packaged mathjax (Thanks to Dmitry Shachnev <mitya57@debian.org>
    for the hint)

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2016 15:15:35 +0100

python-ruffus (2.6.3+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 17 Jul 2015 22:06:11 +0200

python-ruffus (2.6.2+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #780682)

 -- Andreas Tille <tille@debian.org>  Sun, 01 Feb 2015 15:29:20 +0100
