=== debian/control ===
Source: python-ruffus
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all,
               python-setuptools,
               python3-all,
               python3-setuptools,
               python-sphinx
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-ruffus.git
Vcs-Git: git://anonscm.debian.org/debian-med/python-ruffus.git
Homepage: http://www.ruffus.org.uk/

Package: python-ruffus
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Suggests: python-drmaa
Description: Python computation pipeline library widely used in bioinformatics
 Ruffus is designed to allow scientific and other analyses to be automated
 with the minimum of fuss and the least effort.
 .
  * Lightweight: Suitable for the simplest of tasks
  * Scalable: Handles even fiendishly complicated pipelines which would cause
    make or scons to go cross-eyed and recursive.
  * Standard Python: No "clever magic", no pre-processing.
  * Unintrusive: Unambitious, lightweight syntax which tries to do this one
    small thing well.

Package: python3-ruffus
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: Python3 computation pipeline library widely used in bioinformatics
 Ruffus is designed to allow scientific and other analyses to be automated
 with the minimum of fuss and the least effort.
 .
  * Lightweight: Suitable for the simplest of tasks
  * Scalable: Handles even fiendishly complicated pipelines which would cause
    make or scons to go cross-eyed and recursive.
  * Standard Python: No "clever magic", no pre-processing.
  * Unintrusive: Unambitious, lightweight syntax which tries to do this one
    small thing well.
 .
 This package provides python3 modules.

Package: python-ruffus-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: documentation for python-ruffus computation pipeline library
 Ruffus is designed to allow scientific and other analyses to be automated
 with the minimum of fuss and the least effort.
 .
  * Lightweight: Suitable for the simplest of tasks
  * Scalable: Handles even fiendishly complicated pipelines which would cause
    make or scons to go cross-eyed and recursive.
  * Standard Python: No "clever magic", no pre-processing.
  * Unintrusive: Unambitious, lightweight syntax which tries to do this one
    small thing well.
 .
 This package provides modules documentation.
