=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g" \
    https://pypi.python.org/pypi/ruffus .*/r/ruffus/ruffus-([.\d]+)\.tar\.gz
