## python-ruffus 2.7

=== debian/changelog ===
python-ruffus (2.7-1) unstable; urgency=medium

  * New upstream version
    Closes: #903531
  * Standards-Version: 4.1.5
  * Build-Depends: python3-sphinx-rtd-theme
  * d/rules: strip unneeded overrides
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test
  * Fix interpreter line in test suite
  * Avoid privacy breach

 -- Andreas Tille <tille@debian.org>  Wed, 11 Jul 2018 16:04:52 +0200

python-ruffus (2.6.3+dfsg-5) unstable; urgency=medium

  * Testsuite: autopkgtest-pkg-python
  * Rename d/tests/control to d/tests/control.autodep8
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org
  * debhelper 11
  * d/rules:
     - Remove get-orig-source target
     - Do not parse d/changelog
  * Build-Depends: s/python-sphinx/python3-sphinx/

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2018 14:37:27 +0200

python-ruffus (2.6.3+dfsg-4) unstable; urgency=medium

  * Point watch file to Github which is more reliable.
  * Drop sphinx.ext.pngmath
    Closes: #832299
  * Create PNG instead of JPG to work around bug #827806
    (Thanks to Christian Seiler for the hint)

 -- Andreas Tille <tille@debian.org>  Tue, 26 Jul 2016 08:20:28 +0200

python-ruffus (2.6.3+dfsg-3) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Team upload.
  * Add missing dependency on Graphviz (fixes FTFBS on reproducible
    builds pipeline due to failing build time tests)
    Closes: #826841

  [ Andreas Tille ]
  * cme fix dpkg-control

 -- Sascha Steinbiss <sascha@steinbiss.name>  Thu, 09 Jun 2016 09:40:53 +0000
