=== debian/control ===
--- 
+++ 
@@ -1,25 +1,29 @@
 Source: python-ruffus
-Section: python
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
-Build-Depends: debhelper (>= 9),
+Section: python
+Testsuite: autopkgtest-pkg-python
+Priority: optional
+Build-Depends: debhelper (>= 11~),
                dh-python,
                python-all,
                python-setuptools,
                python3-all,
                python3-setuptools,
-               python-sphinx
-Standards-Version: 3.9.6
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/python-ruffus.git
-Vcs-Git: git://anonscm.debian.org/debian-med/python-ruffus.git
+               python3-sphinx,
+               python3-sphinx-rtd-theme,
+               graphviz
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/python-ruffus
+Vcs-Git: https://salsa.debian.org/med-team/python-ruffus.git
 Homepage: http://www.ruffus.org.uk/
 
 Package: python-ruffus
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
+         graphviz
 Suggests: python-drmaa
 Description: Python computation pipeline library widely used in bioinformatics
  Ruffus is designed to allow scientific and other analyses to be automated
@@ -36,7 +40,8 @@
 Architecture: all
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         graphviz
 Description: Python3 computation pipeline library widely used in bioinformatics
  Ruffus is designed to allow scientific and other analyses to be automated
  with the minimum of fuss and the least effort.
@@ -68,4 +73,3 @@
     small thing well.
  .
  This package provides modules documentation.
-
