=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

docpkg:=$(DEB_SOURCE)-doc

export PYBUILD_NAME=ruffus

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make --directory=doc html

override_dh_installdocs:
	dh_installdocs -ppython-ruffus-doc doc/_build/html
	dh_installdocs -A

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	cd ruffus/test && \
	sh ./run_all_unit_tests.cmd && \
	sh ./run_all_unit_tests3.cmd && \
	rm -rf .ruffus_history.sqlite __pycache__ *.pyc
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ruffus/test/temp_branching_dir \
	       ruffus/test/temp_filesre_combine \
	       ruffus/test/test_pausing_dir \
	       ruffus/test/tmp_test_job_history_with_exceptions \
	       ruffus/test/.ruffus_history.sqlite \
	       ruffus/__pycache__ \
	       doc/_build/html \
	       doc/_build/doctrees \
	       ruffus/test/*.log \
	       .ruffus_history.sqlite

override_dh_install:
	dh_install
	# test files have all #!/usr/bin/python which looks wrong in python3 package
	find debian/python3-$(PYBUILD_NAME)/usr/lib/python3*/dist-packages/ruffus/test -name "*.py" -exec sed -i 's+^\(#!/usr/bin/.*python\)[[:space:]]*$$+\13+' \{\} \;
	# leave only the test starter that fits Python version
	find debian/python3-$(PYBUILD_NAME) -name run_all_unit_tests.cmd -delete
	find debian/python-$(PYBUILD_NAME) -name run_all_unit_tests3.cmd -delete

override_dh_fixperms:
	dh_fixperms
	find debian -name "run_all_unit_tests*.cmd" -executable -exec chmod -x \{\} \;
