## python-ruffus 2.8.1

=== debian/changelog ===
python-ruffus (2.8.1-6) unstable; urgency=medium

  * Test-Depend: s/python-pytest/python3-pytest/
    Closes: #938152
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Jan 2020 09:21:39 +0100

python-ruffus (2.8.1-5) unstable; urgency=medium

  * Remove Python2 module
    Closes: #938152
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * rename debian/tests/control.autodep8 to debian/tests/control
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 22 Dec 2019 20:04:05 +0100

python-ruffus (2.8.1-4) unstable; urgency=medium

  * Enable reproducible build by removing non-deterministic temporary temp
    output (Thanks for the patch to Chris Lamb <lamby@debian.org>)
    Closes: #916425

 -- Andreas Tille <tille@debian.org>  Fri, 14 Dec 2018 11:33:24 +0100

python-ruffus (2.8.1-3) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Team upload

  [ Dimitri John Ledkov <xnox@ubuntu.com> ]
  * And add python-pytest to debian/tests/control.autodep8 too, to fix
    testsuite

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Dec 2018 22:15:33 +0100

python-ruffus (2.8.1-2) unstable; urgency=medium

  * Try hard to find Makefile to run test suite for Python2
    Closes: #915382

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 13:11:32 +0100

python-ruffus (2.8.1-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * New upstream version
    Closes: 915250
  * Standards-Version: 4.2.1
  * Build-Depends: python-pytest
  * d/rules: Test script needs bash options
  * Fix autopkgtest (enforce bash, set HOME variable)

 -- Andreas Tille <tille@debian.org>  Sun, 02 Dec 2018 16:19:09 +0100
