=== debian/control ===
--- 
+++ 
@@ -4,37 +4,18 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
-               python-all,
-               python-setuptools,
                python3-all,
                python3-setuptools,
                python3-sphinx,
                python3-sphinx-rtd-theme,
+               python3-pytest,
                graphviz
-Standards-Version: 4.1.5
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/python-ruffus
 Vcs-Git: https://salsa.debian.org/med-team/python-ruffus.git
 Homepage: http://www.ruffus.org.uk/
-
-Package: python-ruffus
-Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends},
-         graphviz
-Suggests: python-drmaa
-Description: Python computation pipeline library widely used in bioinformatics
- Ruffus is designed to allow scientific and other analyses to be automated
- with the minimum of fuss and the least effort.
- .
-  * Lightweight: Suitable for the simplest of tasks
-  * Scalable: Handles even fiendishly complicated pipelines which would cause
-    make or scons to go cross-eyed and recursive.
-  * Standard Python: No "clever magic", no pre-processing.
-  * Unintrusive: Unambitious, lightweight syntax which tries to do this one
-    small thing well.
 
 Package: python3-ruffus
 Architecture: all
