=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 export PYBUILD_NAME=ruffus
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -18,13 +18,28 @@
 override_dh_installdocs:
 	dh_installdocs -ppython-ruffus-doc doc/_build/html
 	dh_installdocs -A
+	find debian -name run_all_unit_tests.cmd -delete
 
 override_dh_auto_test:
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	cd ruffus/test && \
-	sh ./run_all_unit_tests.cmd && \
-	sh ./run_all_unit_tests3.cmd && \
-	rm -rf .ruffus_history.sqlite __pycache__ *.pyc
+	dh_auto_test -- --test --system=custom \
+		--test-args='set -e; \
+			    cd {build_dir}/$(PYBUILD_NAME)/test ; \
+			    if [ "{version.major}" = 2 ] ; then \
+			        if [ -e $(CURDIR)/ruffus/test/Makefile ] ; then ln -s $(CURDIR)/ruffus/test/Makefile ; else \
+			            echo "Expected file $(CURDIR)/ruffus/test/Makefile not found" ; \
+			            echo "Use `find $(CURDIR) -name Makefile | grep test` instead" ; \
+			            ln -s `find $(CURDIR) -name Makefile | grep test | head -n1` ; \
+			        fi ; \
+			        cp -a run_all_unit_tests.cmd /tmp/run_all_unit_tests.cmd ; \
+			    else \
+				sed "s/^python3/python{version}/" run_all_unit_tests3.cmd > /tmp/run_all_unit_tests.cmd ; \
+			    fi ;\
+                            PYTHONPATH={build_dir} HOME=`mktemp -d` bash /tmp/run_all_unit_tests.cmd'
+	find . -name .ruffus_history.sqlite -delete
+	find . -name "*.pyc" -delete
+	find . -name __pycache__ | xargs rm -rf
+	find .pybuild -name tmp | xargs rm -rf
 endif
 
 override_dh_auto_clean:
@@ -46,7 +61,7 @@
 	find debian/python3-$(PYBUILD_NAME)/usr/lib/python3*/dist-packages/ruffus/test -name "*.py" -exec sed -i 's+^\(#!/usr/bin/.*python\)[[:space:]]*$$+\13+' \{\} \;
 	# leave only the test starter that fits Python version
 	find debian/python3-$(PYBUILD_NAME) -name run_all_unit_tests.cmd -delete
-	find debian/python-$(PYBUILD_NAME) -name run_all_unit_tests3.cmd -delete
+	sed -i '1s?^#! */usr/bin/env *python *$$?#!/usr/bin/python3?' `grep -Rl '^#! */usr/bin/env *python *$$' debian/python3-$(PYBUILD_NAME)`
 
 override_dh_fixperms:
 	dh_fixperms
