=== debian/changelog ===
python-ruffus (2.8.4-7) unstable; urgency=medium

  * Remove intersphinx
    Closes: #1090162

 -- Andreas Tille <tille@debian.org>  Mon, 16 Dec 2024 17:34:27 +0100

python-ruffus (2.8.4-6) unstable; urgency=medium

  * Team upload.
  * Add patch to fix syntaxwarnings (Closes: #1086958)
  * Use newer dh-sequence-*, mark B-D with correct build-profiles
    and run wrap-and-sort
  * Add patch to fix regex compilation error message check in
    py3.13 (Closes: #1082265)
  * Use execute_after_* targets instead of overrides in d/rules
  * Bump standards version to 4.7.0 (no changes needed)
  * Correct patch header metadata
  * Add patch to drop distutils usage

 -- Ananthu C V <weepingclown@disroot.org>  Thu, 05 Dec 2024 19:38:27 +0530

python-ruffus (2.8.4-5) unstable; urgency=medium

  * d/control: add myself to uploaders.
  * d/copyright: remove now superficial Files-Excluded.
  * d/watch: move to git mode after changes in github interface.
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Apply multi-arch hints.
    + python-ruffus-doc: Add Multi-Arch: foreign.

 -- Étienne Mollier <emollier@debian.org>  Sat, 12 Nov 2022 15:52:07 +0100

python-ruffus (2.8.4-4) unstable; urgency=medium

  * Team upload.
  * Add reasonable-multiprocessing.patch: adjust process count to cores
    available and reduce the memory footprint of the build.  (Closes: #841073)
  * d/copyright: bump copyright years and reference file from Rebecca Chodroff.

 -- Étienne Mollier <emollier@debian.org>  Mon, 06 Dec 2021 22:10:12 +0100

python-ruffus (2.8.4-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)
  * Adapt to sphinx 4.x API
  * Ignore test test_proxy_logger.py (fails to write on /tmp)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Oct 2021 12:11:47 +0200

python-ruffus (2.8.4-2) unstable; urgency=high

  * Team upload.
  * Standards-Version: 4.5.1 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * watch file standard 4 (routine-update)
  * Set Multi-Arch as foreign (Closes: #978394)

 -- Shayan Doust <hello@shayandoust.me>  Thu, 11 Feb 2021 19:52:08 +0000

python-ruffus (2.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Steffen Moeller <moeller@debian.org>  Wed, 10 Jun 2020 01:49:34 +0200
