=== debian/control ===
--- 
+++ 
@@ -1,28 +1,29 @@
 Source: python-ruffus
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-               dh-python,
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               dh-sequence-sphinxdoc <!nodoc>,
+               graphviz,
                python3-all,
+               python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-sphinx,
-               python3-sphinx-rtd-theme,
-               python3-pytest,
-               graphviz
-Standards-Version: 4.4.1
+               python3-sphinx <!nodoc>,
+               python3-sphinx-rtd-theme <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-ruffus
 Vcs-Git: https://salsa.debian.org/med-team/python-ruffus.git
 Homepage: http://www.ruffus.org.uk/
+Rules-Requires-Root: no
 
 Package: python3-ruffus
 Architecture: all
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends},
-         graphviz
+Multi-Arch: foreign
+Depends: graphviz, ${misc:Depends}, ${python3:Depends}
 Description: Python3 computation pipeline library widely used in bioinformatics
  Ruffus is designed to allow scientific and other analyses to be automated
  with the minimum of fuss and the least effort.
@@ -39,9 +40,8 @@
 Package: python-ruffus-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax
+Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: documentation for python-ruffus computation pipeline library
  Ruffus is designed to allow scientific and other analyses to be automated
  with the minimum of fuss and the least effort.
