=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,12 @@
 export PYBUILD_NAME=ruffus
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build-indep:
+ifeq (,$(filter nodoc, $(DEB_BUILD_OPTIONS)))
 	make --directory=doc html
+endif
 
 override_dh_installdocs:
 	dh_installdocs -ppython-ruffus-doc doc/_build/html
@@ -42,8 +43,7 @@
 	find .pybuild -name tmp | xargs rm -rf
 endif
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf ruffus/test/temp_branching_dir \
 	       ruffus/test/temp_filesre_combine \
 	       ruffus/test/test_pausing_dir \
@@ -54,15 +54,15 @@
 	       doc/_build/doctrees \
 	       ruffus/test/*.log \
 	       .ruffus_history.sqlite
+	rm -f  ruffus.egg-info/PKG-INFO ruffus.egg-info/SOURCES.txt ruffus.egg-info/dependency_links.txt ruffus.egg-info/top_level.txt
 
-override_dh_install:
-	dh_install
+
+execute_after_dh_install:
 	# test files have all #!/usr/bin/python which looks wrong in python3 package
 	find debian/python3-$(PYBUILD_NAME)/usr/lib/python3*/dist-packages/ruffus/test -name "*.py" -exec sed -i 's+^\(#!/usr/bin/.*python\)[[:space:]]*$$+\13+' \{\} \;
 	# leave only the test starter that fits Python version
 	find debian/python3-$(PYBUILD_NAME) -name run_all_unit_tests.cmd -delete
 	sed -i '1s?^#! */usr/bin/env *python *$$?#!/usr/bin/python3?' `grep -Rl '^#! */usr/bin/env *python *$$' debian/python3-$(PYBUILD_NAME)`
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_fixperms:
 	find debian -name "run_all_unit_tests*.cmd" -executable -exec chmod -x \{\} \;
