=== debian/watch ===
version=4

opts="mode=git,dversionmangle=auto" \
    https://github.com/bunbun/ruffus.git .*/v(\d[\d.-]+)
